Package be.vlaanderen.mercurius.mohm.common.v7

# Class ConsultHistoryResponseType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ConsultHistoryResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultHistoryResponseType extends Object implements Serializable
Groeperend element voor het antwoord op de vraag tot consultatie van de historiek.

Java class for ConsultHistoryResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultHistoryResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultHistoryAcceptedType"/>
             <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ConsultHistoryNotAcceptedType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultHistoryResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultHistoryAcceptedType`
  `getAccepted()`
  Consultatie is goed ontvangen en het antwoord bevat de historiek.
  `ConsultHistoryNotAcceptedType`
  `getNotAccepted()`
  Consultatie is in fout gegaan en het antwoord bevat één of meerdere fouten.
  `void`
  `setAccepted(ConsultHistoryAcceptedType value)`
  Sets the value of the accepted property.
  `void`
  `setNotAccepted(ConsultHistoryNotAcceptedType value)`
  Sets the value of the notAccepted property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultHistoryResponseType

    public ConsultHistoryResponseType()

- ## Method Details

  - ### getNotAccepted

    public ConsultHistoryNotAcceptedType getNotAccepted()
    Consultatie is in fout gegaan en het antwoord bevat één of meerdere fouten.
    Returns:
      possible object is `ConsultHistoryNotAcceptedType`

  - ### setNotAccepted

    public void setNotAccepted(ConsultHistoryNotAcceptedType value)
    Sets the value of the notAccepted property.
    Parameters:
      `value` - allowed object is `ConsultHistoryNotAcceptedType`
    See Also:
      - `getNotAccepted()`

  - ### getAccepted

    public ConsultHistoryAcceptedType getAccepted()
    Consultatie is goed ontvangen en het antwoord bevat de historiek.
    Returns:
      possible object is `ConsultHistoryAcceptedType`

  - ### setAccepted

    public void setAccepted(ConsultHistoryAcceptedType value)
    Sets the value of the accepted property.
    Parameters:
      `value` - allowed object is `ConsultHistoryAcceptedType`
    See Also:
      - `getAccepted()`